#ifndef _DIRENT_H_
#define _DIRENT_H_

#define DIRSIZ  255

typedef struct dirent 
{
  unsigned long		d_ino;
  char				d_name[DIRSIZ];
  char				zero_pad;
} typeDirentry;

typedef void *  DIR;


#ifdef __cplusplus
extern "C" {
#endif

DIR *opendir(const char *name);
int closedir(DIR *dir);
struct dirent *readdir(DIR *dir);

#ifdef __cplusplus
}
#endif

#endif
